get
https://{subdomain}.recurly.com/v2/transactions/
The details section contains the account and billing information at the time the transaction was submitted. It may not reflect the latest account information. A transaction_error section may be included if the transaction failed. Please see transaction error codes for more details.
Transaction Attributes
| Attributes | Description |
|---|---|
| uuid | Unique transaction id |
| action | "purchase", "authorization" or "refund" |
| amount_in_cents | Total transaction amount in cents |
| tax_in_cents | Amount of tax or VAT within the transaction, in cents |
| currency | 3-letter currency for the transaction |
| status | "success", "failed", or "void" |
| payment_method | "credit_card", "paypal", "check", "wire_transfer", "money_order" |
| reference | Transaction reference from your payment gateway |
| source | Source of the transaction. Possible values: transaction for one-time transactions, subscription for subscriptions, billing_info for updating billing info. |
| recurring | True if transaction is recurring |
| test | True if test transaction |
| voidable | True if the transaction may be voidable, accuracy depends on your gateway |
| refundable | True if the transaction may be refunded |
| ip_address | Customer's IP address on the transaction, if applicable |
| cvv_result | CVV result, if applicable |
| avs_result | AVS result, if applicable |
| avs_result_street | AVS result for the street address, line 1 |
| avs_result_postal | AVS result for the postal code |
| created_at | Date the transaction took place |
| details | Nested account and billing information submitted at the time of the transaction. When writing a client library, do not map these directly to Account or Billing Info objects. |
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…